*** pgbench.c	Thu Oct 18 12:14:37 2007
--- pgbench-tpcb.c	Thu Oct 18 12:14:19 2007
*************** init(void)
*** 790,802 ****
  	PGresult   *res;
  	static char *DDLs[] = {
  		"drop table if exists branches",
- 		"create table branches(bid int not null,bbalance int,filler char(88)) with (fillfactor=%d)",
  		"drop table if exists tellers",
- 		"create table tellers(tid int not null,bid int,tbalance int,filler char(84)) with (fillfactor=%d)",
  		"drop table if exists accounts",
- 		"create table accounts(aid int not null,bid int,abalance int,filler char(84)) with (fillfactor=%d)",
  		"drop table if exists history",
! 		"create table history(tid int,bid int,aid int,delta int,mtime timestamp,filler char(22))"};
  	static char *DDLAFTERs[] = {
  		"alter table branches add primary key (bid)",
  		"alter table tellers add primary key (tid)",
--- 790,815 ----
  	PGresult   *res;
  	static char *DDLs[] = {
  		"drop table if exists branches",
  		"drop table if exists tellers",
  		"drop table if exists accounts",
  		"drop table if exists history",
! #ifdef NOT_USED
! 		/*
! 		 * filler fields should be not null primarily because TPC-B requires
! 		 * at least 100 bytes per row. However, we will not make the change
! 		 * in order not to break comparability of the results over time.
! 		 */
! 		"create table branches(bid int not null,bbalance int,filler char(88) default '') with (fillfactor=%d)",
! 		"create table tellers(tid int not null,bid int,tbalance int,filler char(84) default '') with (fillfactor=%d)",
! 		"create table accounts(aid int not null,bid int,abalance int,filler char(84) default '') with (fillfactor=%d)",
! 		"create table history(tid int,bid int,aid int,delta int,mtime timestamp,filler char(22) default '')"
! #else
! 		"create table branches(bid int not null,bbalance int,filler char(88)) with (fillfactor=%d)",
! 		"create table tellers(tid int not null,bid int,tbalance int,filler char(84)) with (fillfactor=%d)",
! 		"create table accounts(aid int not null,bid int,abalance int,filler char(84)) with (fillfactor=%d)",
! 		"create table history(tid int,bid int,aid int,delta int,mtime timestamp,filler char(22))"
! #endif
! 	};
  	static char *DDLAFTERs[] = {
  		"alter table branches add primary key (bid)",
  		"alter table tellers add primary key (tid)",
